var action = "save";
var packing_material_id = "";
$(document).ready(function () {
    $("#strapping_rolls").is(":checked")
        ? $("#form_strapping_rolls").show()
        : $("#form_strapping_rolls").hide();
    $("#clips").is(":checked")
        ? $("#form_clips").show()
        : $("#form_clips").hide();
    $("#film_rolls").is(":checked")
        ? $("#form_film_rolls").show()
        : $("#form_film_rolls").hide();
    $("#carton_pack").is(":checked")
        ? $("#carton").show()
        : $("#carton").hide();

    getFactoryData();

    if (window.location.search.length > 0) {
        var sPageURL = window.location.search.substring(1);
        var param = sPageURL.split("?");
        packing_material_id = param[0].split("=")[1].split("&")[0];
        action = param[0].split("=")[2].split("&")[0];
        getPackingMaterialData(packing_material_id);
        if (action == "edit") {
            $("#btnSave").text("Update");
        } else if (action == "view") {
            $("#btnSave").hide();
            $("#supplier_name").prop("disabled", true);
            $("#reference_no").prop("disabled", true);
            $("#factory").prop("disabled", true);
            $("#date").prop("disabled", true);
        }
    }

    $("#btnSave").on("click", function () {
        if ($(this).text() == "Save") {
            savePackingMaterialRecord();
        } else {
            updatePackingMaterialRecords(packing_material_id);
        }
    });
});

$("#check_material").on("change", () => {
    $("#strapping_rolls").is(":checked")
        ? $("#form_strapping_rolls").show()
        : $("#form_strapping_rolls").hide();
    $("#clips").is(":checked")
        ? $("#form_clips").show()
        : $("#form_clips").hide();
    $("#film_rolls").is(":checked")
        ? $("#form_film_rolls").show()
        : $("#form_film_rolls").hide();
    $("#carton_pack").is(":checked")
        ? $("#carton").show()
        : $("#carton").hide();
});

function getFactoryData() {
    $.ajax({
        type: "GET",
        url: "/qc/SupervisorCheckListDataController/getFactoryData",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            var res = response.data.result;
            console.log(res);
            for (var i = 0; i < res.length; i++) {
                $("#factory").append(
                    '<option value="' +
                    res[i].site_id +
                    '">' +
                    res[i].site +
                    "</option>"
                );
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () { },
    });
}

function savePackingMaterialRecord() {
    var pm_data = {};

    if ($("#strapping_rolls").is(":checked")) {
        pm_data["strapping_rolls"] = {
            weight_strapping_rolls: $("#weight_strapping_rolls").val(),
            thickness_strapping_rolls: $("#thickness_strapping_rolls").val(),
            appearance_strapping_rolls: $("#appearance_strapping_rolls").val(),
            width_strapping_rolls: $("#width_strapping_rolls").val(),
            remarks_strapping_rolls: $("#remarks_strapping_rolls").val(),
        };
    }

    if ($("#clips").is(":checked")) {
        pm_data["clips"] = {
            hardness_clips: $("#hardness_clips").val(),
            remarks_clips: $("#remarks_clips").val(),
        };
    }

    if ($("#film_rolls").is(":checked")) {
        pm_data["film_rolls"] = {
            old_weight_film_roll: $("#old_weight_film_roll").val(),
            new_weight_film_roll: $("#new_weight_film_roll").val(),
            old_appearance_film_roll: $("#old_appearance_film_roll").val(),
            new_appearance_film_roll: $("#new_appearance_film_roll").val(),
            old_is_sticky_film_roll: $("#old_is_sticky_film_roll").is(
                ":checked"
            )
                ? true
                : false,
            new_is_sticky_film_roll: $("#new_is_sticky_film_roll").is(
                ":checked"
            )
                ? true
                : false,
            remarks_film_roll: $("#remarks_film_roll").val(),
        };
    }

    if ($("#carton_pack").is(":checked")) {
        pm_data["carton"] = {
            old_internal_length_carton_packings: $(
                "#old_internal_length_carton_packings"
            ).val(),
            old_internal_height_carton_packings: $(
                "#old_internal_height_carton_packings"
            ).val(),
            old_internal_width_carton_packings: $(
                "#old_internal_width_carton_packings"
            ).val(),
            new_internal_length_carton_packings: $(
                "#new_internal_length_carton_packings"
            ).val(),
            new_internal_width_carton_packings: $(
                "#new_internal_width_carton_packings"
            ).val(),
            new_internal_height_carton_packings: $(
                "#new_internal_height_carton_packings"
            ).val(),
            old_external_length_carton_packings: $(
                "#old_external_length_carton_packings"
            ).val(),
            old_external_height_carton_packings: $(
                "#old_external_height_carton_packings"
            ).val(),
            old_external_width_carton_packings: $(
                "#old_external_width_carton_packings"
            ).val(),
            new_external_length_carton_packings: $(
                "#new_external_length_carton_packings"
            ).val(),
            new_external_width_carton_packings: $(
                "#new_external_width_carton_packings"
            ).val(),
            new_external_height_carton_packings: $(
                "#new_external_height_carton_packings"
            ).val(),
            weight_carton_packings: $("#weight_carton_packings").val(),
            appearance_carton_packings: $("#appearance_carton_packings").val(),
            no_of_ply_carton_packings: $("#no_of_ply_carton_packings").val(),
            color_carton_packings: $("#color_carton_packings").val(),
            remarks_carton_packings: $("#remarks_carton_packings").val(),
        };
    }

    $.ajax({
        type: "POST",
        url: "/qc/PackingMaterialChecklistController/save",
        data: {
            reference_no: $("#reference_no").val(),
            date: $("#date").val(),
            supplier_name: $("#supplier_name").val(),
            factory: $("#factory").val(),
            strapping_rolls: $("#strapping_rolls").is(":checked")
                ? true
                : false,
            clips: $("#clips").is(":checked") ? true : false,
            film_rolls: $("#film_rolls").is(":checked") ? true : false,
            carton_pack: $("#carton_pack").is(":checked") ? true : false,
            pm_data: pm_data,
        },
        headers: {
            "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                toastr.success("data saved");
                $('input[type="text"]').val('');
                $('input[type="checkbox"]').prop('checked', false);
                $("#date").val("");
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error("Something went wrong");
        },
        complete: function () { },
    });
}

function getPackingMaterialData(id) {
    $.ajax({
        type: "GET",
        url:
            "/qc/PackingMaterialChecklistController/getPackingMaterialData/" +
            id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            // progress(true);
        },
        success: function (response) {
            var res = response.data.result;
            var resData = res.request_data;

            $("#strapping_rolls").prop("checked", res.strapping_rolls ? true : false);
            $("#clips").prop("checked", res.clips ? true : false);
            $("#film_rolls").prop("checked", res.film_rolls ? true : false);
            $("#carton_pack").prop("checked", res.carton_pack ? true : false);

            $("#reference_no").val(res.reference_no);
            $("#date").val(res.date);
            $("#supplier_name").val();
            $("#factory").val(res.factory);

            $("#weight_strapping_rolls").val(resData.weight_strapping_rolls);
            $("#thickness_strapping_rolls").val(resData.thickness_strapping_rolls);
            $("#appearance_strapping_rolls").val(resData.appearance_strapping_rolls);
            $("#width_strapping_rolls").val(resData.width_strapping_rolls);
            $("#remarks_strapping_rolls").val(resData.remarks_strapping_rolls);

            $("#hardness_clips").val(resData.hardness_clips);
            $("#remarks_clips").val(resData.remarks_clips);

            $("#old_weight_film_roll").val(resData.old_weight_film_roll);
            $("#new_weight_film_roll").val(resData.new_weight_film_roll);
            $("#old_appearance_film_roll").val(resData.old_appearance_film_roll);
            $("#new_appearance_film_roll").val(resData.new_appearance_film_roll);
            $("#old_is_sticky_film_roll").prop("checked", resData.old_is_sticky_film_roll ? true : false);
            $("#new_is_sticky_film_roll").prop("checked", resData.new_is_sticky_film_roll ? true : false);
            $("#remarks_film_roll").val(resData.remarks_film_roll);

            $("#old_internal_length_carton_packings").val(resData.old_internal_length_carton_packings);
            $("#old_internal_height_carton_packings").val(resData.old_internal_height_carton_packings);
            $("#old_internal_width_carton_packings").val(resData.old_internal_width_carton_packings);
            $("#new_internal_length_carton_packings").val(resData.new_internal_length_carton_packings);
            $("#new_internal_width_carton_packings").val(resData.new_internal_width_carton_packings);
            $("#new_internal_height_carton_packings").val(resData.new_internal_height_carton_packings);
            $("#old_external_length_carton_packings").val(resData.old_external_length_carton_packings);
            $("#old_external_height_carton_packings").val(resData.old_external_height_carton_packings);
            $("#old_external_width_carton_packings").val(resData.old_external_width_carton_packings);
            $("#new_external_length_carton_packings").val(resData.new_external_length_carton_packings);
            $("#new_external_width_carton_packings").val(resData.new_external_width_carton_packings);
            $("#new_external_height_carton_packings").val(resData.new_external_height_carton_packings);
            $("#weight_carton_packings").val(resData.weight_carton_packings);
            $("#appearance_carton_packings").val(resData.appearance_carton_packings);
            $("#no_of_ply_carton_packings").val(resData.no_of_ply_carton_packings);
            $("#color_carton_packings").val(resData.color_carton_packings);
            $("#remarks_carton_packings").val(resData.remarks_carton_packings);
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {
            // progress(false);
        },
    });
}

function updatePackingMaterialRecords(packing_material_id) {
    var pm_data = {};

    if ($("#strapping_rolls").is(":checked")) {
        pm_data["strapping_rolls"] = {
            weight_strapping_rolls: $("#weight_strapping_rolls").val(),
            thickness_strapping_rolls: $("#thickness_strapping_rolls").val(),
            appearance_strapping_rolls: $("#appearance_strapping_rolls").val(),
            width_strapping_rolls: $("#width_strapping_rolls").val(),
            remarks_strapping_rolls: $("#remarks_strapping_rolls").val(),
        };
    }

    if ($("#clips").is(":checked")) {
        pm_data["clips"] = {
            hardness_clips: $("#hardness_clips").val(),
            remarks_clips: $("#remarks_clips").val(),
        };
    }

    if ($("#film_rolls").is(":checked")) {
        pm_data["film_rolls"] = {
            old_weight_film_roll: $("#old_weight_film_roll").val(),
            new_weight_film_roll: $("#new_weight_film_roll").val(),
            old_appearance_film_roll: $("#old_appearance_film_roll").val(),
            new_appearance_film_roll: $("#new_appearance_film_roll").val(),
            old_is_sticky_film_roll: $("#old_is_sticky_film_roll").is(
                ":checked"
            )
                ? true
                : false,
            new_is_sticky_film_roll: $("#new_is_sticky_film_roll").is(
                ":checked"
            )
                ? true
                : false,
            remarks_film_roll: $("#remarks_film_roll").val(),
        };
    }

    if ($("#carton_pack").is(":checked")) {
        pm_data["carton"] = {
            old_internal_length_carton_packings: $(
                "#old_internal_length_carton_packings"
            ).val(),
            old_internal_height_carton_packings: $(
                "#old_internal_height_carton_packings"
            ).val(),
            old_internal_width_carton_packings: $(
                "#old_internal_width_carton_packings"
            ).val(),
            new_internal_length_carton_packings: $(
                "#new_internal_length_carton_packings"
            ).val(),
            new_internal_width_carton_packings: $(
                "#new_internal_width_carton_packings"
            ).val(),
            new_internal_height_carton_packings: $(
                "#new_internal_height_carton_packings"
            ).val(),
            old_external_length_carton_packings: $(
                "#old_external_length_carton_packings"
            ).val(),
            old_external_height_carton_packings: $(
                "#old_external_height_carton_packings"
            ).val(),
            old_external_width_carton_packings: $(
                "#old_external_width_carton_packings"
            ).val(),
            new_external_length_carton_packings: $(
                "#new_external_length_carton_packings"
            ).val(),
            new_external_width_carton_packings: $(
                "#new_external_width_carton_packings"
            ).val(),
            new_external_height_carton_packings: $(
                "#new_external_height_carton_packings"
            ).val(),
            weight_carton_packings: $("#weight_carton_packings").val(),
            appearance_carton_packings: $("#appearance_carton_packings").val(),
            no_of_ply_carton_packings: $("#no_of_ply_carton_packings").val(),
            color_carton_packings: $("#color_carton_packings").val(),
            remarks_carton_packings: $("#remarks_carton_packings").val(),
        };
    }

    $.ajax({
        type: "PUT",
        url:
            "/qc/PackingMaterialChecklistController/update/" +
            packing_material_id,
        data: {
            reference_no: $("#reference_no").val(),
            date: $("#date").val(),
            supplier_name: $("#supplier_name").val(),
            factory: $("#factory").val(),
            strapping_rolls: $("#strapping_rolls").is(":checked")
                ? true
                : false,
            clips: $("#clips").is(":checked") ? true : false,
            film_rolls: $("#film_rolls").is(":checked") ? true : false,
            carton_pack: $("#carton_pack").is(":checked") ? true : false,
            pm_data: pm_data,
        },
        headers: {
            "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        timeout: 800000,
        beforeSend: function () { },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                toastr.success("data updated");
                location.href = "/qc/packingMaterialList";
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error("Something went wrong");
        },
        complete: function () { },
    });
}

function triggerRowInputs(id, selected_row) { }

/**
 * showSuccessMessage
 * This function is used to show success message.
 * @param message This is the paramter to require message content
 */
function showSuccessMessage(message) {
    toastr.success(message);
}

/**
 * showWarningMessage
 * This function is used to show warning message.
 * @param message This is the paramter to require message content
 */
function showWarningMessage(message) {
    toastr.warning(message);
}

/**
 * showErrorMessage
 * This function is used to show error message.
 * @param message This is the paramter to require message content
 */
function showErrorMessage() {
    toastr.error("Something went wrong");
}
