function showMaterialType(action, data) {


    var id = "";
    var name = "";
    var button = "Save";

    if (action == 'edit') {
        id = data.mt_id;
        name = data.material_name;
        button = "Update";
    }
    $('#settingsAddModalBody').empty();
    var content = '<div class="form-row">';
    content += '<div class="col-md-12 mb-3" id="divName">';
    content += '<label for="txtName">Material Type</label>';
    content += '<input type="text" class="form-control" id="texMaterialName" name="name" placeholder="Name" value="' + name + '" data-id="' + id + '">';
    content += '</div>';
    content += '</div>';
    $('#settingsAddModalBody').append(content);
    $('#settingsAddModalTitle').text('Material Type');
    $('#btnDiv').empty();
    $('#btnDiv').append('<button type="button" class="btn btn-primary" id="btnName">' + button + '</button');
    $("#settingsAddModal").modal('toggle');


    $('#btnName').on('click', function () {
        var action = $(this).text();

        if (action == 'Save') {
            saveMaterialType();
        } else if (action == 'Update') {
            updateMaterialType();
        }
    });

}


function saveMaterialType() {
    $.ajax({
        type: "POST",
        url: '/qc/SettingsController/saveMaterialType',
        data: {
            material_name: $('#texMaterialName').val()
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
            $("#settingsAddModal").modal('hide');
        },
        success: function (response) {

            if (response.data.success) {

                showSuccessMessage("Material Type has been saved successfully...");
                getAllMaterialType();

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.error(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}


function getAllMaterialType() {

    $.ajax({
        type: "GET",
        url: '/qc/SettingsController/getAllMaterialType',
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                appendMaterialType(result);

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {
            $('.ti-settings').show();
            $('.spinner-border').hide();
        }

    });
}




function appendMaterialType(result) {

    var disable = { 0: "", 1: "checked" }
    var tbody = "";


    for (i = 0; i < result.length; i++) {
        var row = "<tr>";
        var str_id = "'" + result[i].mt_id + "'";
        row += '<td class="id" id="' + result[i].mt_id + '">' + generateID(result[i].mt_id) + '</td>';
        row += '<td>' + result[i].material_name + '</td>';
        row += '<td class="edit edit_name">';
        row += '<button type="button" class="btn btn-primary setting-edit-btn" id="' + result[i].mt_id + '" onclick="editMaterialType(' + str_id + ')">';
        row += '<i class="fa fa-pencil-square-o" aria-hidden="true"></button>';

        row += '</td>';
        row += '<td class="disable disable_town">';
        row += '<label class="switch">';
        row += '<input type="checkbox"  id="' + result[i].mt_id + '" onchange="disableMaterialType(event,' + str_id + ')" ' + disable[result[i].status] + '>';



        row += '<span class="slider round"></span>';
        row += '</label>';
        row += '</td>';
        row += '</tr>';
        tbody += row;
    }
    $('#tblMaterialType').empty();
    $('#tblMaterialType').append(tbody);
}




function editMaterialType(id) {
    $.ajax({
        type: "GET",
        url: '/qc/SettingsController/getMaterialType/' + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                showMaterialType('edit', result);


            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {
            $('.ti-settings').show();
            $('.spinner-border').hide();
        }

    });
}

function updateMaterialType() {

    $.ajax({
        type: "PUT",
        url: '/qc/SettingsController/updateMaterialType/' + $('#texMaterialName').attr('data-id'),
        data: {
            material_name: $('#texMaterialName').val()
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
            $("#settingsAddModal").modal('hide');
        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                showSuccessMessage("Material Type has been updated successfully...");
                getAllMaterialType();


            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}


function disableMaterialType(event, id) {


    var status = event.target.checked;
    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: "PUT",
        url: '/qc/SettingsController/disableMaterialType/' + id,
        data: {
            'status': bool,
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
            $("#settingsAddModal").modal('hide');
        },
        success: function (response) {
            console.log(response);

            if (response.data.success) {

                if (status) showSuccessMessage("Data has been enabled successfully...");
                if (!status) showSuccessMessage("Data has been disabled successfully...");
                getAllMaterialType();


            } else {
                var msg = response.data.message;
                var id = response.data.result;

                if (msg == "assigned") {//assigned settings cannot be disabled
                    showWarningMessage("Settings has been assigned...!");
                    getAllMaterialType();
                } else if (msg == "error") {
                    showErrorMessage();
                }
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}



/**
* generateID
* This function is used to generate id
* @param id This is the paramter to require id
*/
function generateID(id) {

    let pattern = {
        1: "0000",
        2: "000",
        3: "00",
        4: "0",
    };
    var length = Math.ceil(Math.log(id + 1) / Math.LN10);
    return pattern[length] + id;
}


/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {

    toastr.success(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}


/**
* showWarrningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {

    toastr.warning(message);
}
