@extends('qc::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">

    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js"
        integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ=="
        crossorigin="anonymous"></script>

    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3>Packing Material Check List</h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">Pages</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Form Page</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">

            <div class="card mb-1">
                <div class="card-body">

                    <div class="row">
                        <div class="col-md-12 border">
                            <div class="row border-bottom bg-light" style="padding: 10px;">
                                <h6>Packing Material Check List</h6>
                            </div>
                            <div class="row">
                                <div class="col-md-4 mt-3">
                                    <div class="input-group mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Reference No.</div>
                                        </div>
                                        <input type="text" class="form-control form-control-sm" id="reference_no"
                                            name="reference_no">
                                    </div>
                                </div>

                                <div class="col-md-4 mt-3">
                                    <div class="input-group mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Inspection Date</div>
                                        </div>
                                        <input type="date" class="form-control form-control-sm" id="date"
                                            name="date">
                                    </div>
                                </div>

                                <div class="col-md-4 mt-3">
                                    <div class="input-group mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Supplier Name</div>
                                        </div>
                                        <input type="text" class="form-control form-control-sm" id="supplier_name"
                                            name="supplier_name">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 mt-3">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Factory</div>
                                        </div>
                                        <select id="factory" name="factory" class="form-control form-control-sm">
                                            <option>--Select Factory--</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-md-12 mt-3" id="check_material">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" id="strapping_rolls" value="">
                                        <label class="form-check-label" for="strapping_rolls">Strapping Rolls</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" id="clips" value="">
                                        <label class="form-check-label" for="clips">Clips</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" id="film_rolls" value="">
                                        <label class="form-check-label" for="film_rolls">Stretch Film Rolls</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" type="checkbox" id="carton_pack" value="">
                                        <label class="form-check-label" for="carton_pack">Carton Packages</label>
                                    </div>
                                </div>
                            </div>

                            <div id="form_strapping_rolls">
                                <hr>
                                <h6 class="mb-3">Packing Material Type – Strapping Rolls</h6>
                                <div class="form-group row">
                                    <label for="weight_strapping_rolls" class="col-sm-2 col-form-label">Weight</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="weight_strapping_rolls">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="thickness_strapping_rolls" class="col-sm-2 col-form-label">Thickness</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="thickness_strapping_rolls">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="appearance_strapping_rolls"
                                        class="col-sm-2 col-form-label">Appearance</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="appearance_strapping_rolls">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="width_strapping_rolls" class="col-sm-2 col-form-label">Width</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="width_strapping_rolls">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="remarks_strapping_rolls" class="col-sm-2 col-form-label">Remarks</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="remarks_strapping_rolls"></textarea>
                                    </div>
                                </div>
                            </div>

                            <div id="form_clips">
                                <hr>
                                <h6 class="mb-3">Packing Material Type – Clips</h6>
                                <div class="form-group row">
                                    <label for="hardness_clips" class="col-sm-2 col-form-label">Hardness</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="hardness_clips">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="remarks_clips" class="col-sm-2 col-form-label">Remarks</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="remarks_clips"></textarea>
                                    </div>
                                </div>
                            </div>

                            <div id="form_film_rolls">
                                <hr>
                                <h6 class="mb-3">Packing Material Type – Stretch Film Rolls</h6>
                                <div class="table-responsive">
                                    <table class="table table-sm table-borderless" id="tblData2">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th>Old</th>
                                                <th>New</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td class="font-size-14 col-sm-2 pl-0">Weight</td>
                                                <td><input type="text" class="form-control" id="old_weight_film_roll">
                                                </td>
                                                <td><input type="text" class="form-control" id="new_weight_film_roll">
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="font-size-14 col-sm-2 pl-0">Appearance</td>
                                                <td><input type="text" class="form-control"
                                                        id="old_appearance_film_roll"></td>
                                                <td><input type="text" class="form-control"
                                                        id="new_appearance_film_roll"></td>
                                            </tr>
                                            <tr>
                                                <td class="font-size-14 col-sm-2 pl-0">Sticky or Not</td>
                                                <td>
                                                    <div class="form-group form-check my-auto">
                                                        <input type="checkbox" class="form-check-input"
                                                            id="old_is_sticky_film_roll">
                                                        <label class="form-check-label font-size-14"
                                                            for="old_is_sticky_film_roll">Sticky</label>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group form-check my-auto">
                                                        <input type="checkbox" class="form-check-input"
                                                            id="new_is_sticky_film_roll">
                                                        <label class="form-check-label font-size-14"
                                                            for="new_is_sticky_film_roll">Sticky</label>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="form-group row">
                                    <label for="remarks_film_roll" class="col-sm-2 col-form-label">Remarks</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="remarks_film_roll"></textarea>
                                    </div>
                                </div>
                            </div>

                            <div id="carton">
                                <hr>
                                <h6 class="mb-3">Packing Material Type – Carton Packings</h6>
                                <div class="table-responsive">
                                    <table class="table table-sm table-borderless" id="tblData">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th>New Length</th>
                                                <th>New Width</th>
                                                <th>New Height</th>
                                                <th>Old Length</th>
                                                <th>Old Width</th>
                                                <th>Old Height</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td class="font-size-14 col-sm-2 pl-0">Internal Size</td>
                                                <td><input type="text" class="form-control"
                                                        id="old_internal_length_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="old_internal_height_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="old_internal_width_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="new_internal_length_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="new_internal_width_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="new_internal_height_carton_packings"></td>
                                            </tr>
                                            <tr>
                                                <td class="font-size-14 col-sm-2 pl-0">External Size</td>
                                                <td><input type="text" class="form-control"
                                                        id="old_external_length_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="old_external_width_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="old_external_height_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="new_external_length_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="new_external_width_carton_packings"></td>
                                                <td><input type="text" class="form-control"
                                                        id="new_external_height_carton_packings"></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="form-group row">
                                    <label for="weight_carton_packings" class="col-sm-2 col-form-label">Weight</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="weight_carton_packings">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="appearance_carton_packings"
                                        class="col-sm-2 col-form-label">Appearance</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="appearance_carton_packings">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="no_of_ply_carton_packings" class="col-sm-2 col-form-label">No of
                                        Ply</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="no_of_ply_carton_packings">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="color_carton_packings" class="col-sm-2 col-form-label">Color</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" id="color_carton_packings">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="remarks_carton_packings" class="col-sm-2 col-form-label">Remarks</label>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" id="remarks_carton_packings"></textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="row border">
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-12 mt-2 mb-2" style="text-align: right;">
                                            <button id="btnSave" class="btn btn-light form-control-sm">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>

            </div>
        </div>


    </div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>

    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>


    <script src="{{ Module::asset('qc:js/transaction_table.js') }}?random=<?php echo uniqid(); ?>"></script>

    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>z
    <script src="{{ url('assets/js/notification.js') }}?random=<?php echo uniqid(); ?>"></script>

    <script src="{{ Module::asset('qc:js/packing_material.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection
